# Uses of Interface
javax.print.attribute.DocAttributeSet

Packages that use DocAttributeSet
Package
Description
javax.print
Provides the principal classes and interfaces for the Java Print Service API.
javax.print.attribute
Provides classes and interfaces that describe the types of Java Print Service attributes and how they can be collected into attribute sets.

## Uses of DocAttributeSet in javax.print

Methods in javax.print that return DocAttributeSet
Modifier and Type
Method
Description
`DocAttributeSet`
Doc.`getAttributes()`
Obtains the set of printing attributes for this doc object.
`DocAttributeSet`
SimpleDoc.`getAttributes()`
Obtains the set of printing attributes for this doc object.
Constructors in javax.print with parameters of type DocAttributeSet
Modifier
Constructor
Description
``
`SimpleDoc​(Object printData, DocFlavor flavor, DocAttributeSet attributes)`
Constructs a `SimpleDoc` with the specified print data, doc flavor and doc attribute set.

## Uses of DocAttributeSet in javax.print.attribute

Classes in javax.print.attribute that implement DocAttributeSet
Modifier and Type
Class
Description
`class`
`HashDocAttributeSet`
Class `HashDocAttributeSet` provides an attribute set which inherits its implementation from class `HashAttributeSet` and enforces the semantic restrictions of interface `DocAttributeSet`.
Methods in javax.print.attribute that return DocAttributeSet
Modifier and Type
Method
Description
`static DocAttributeSet`
AttributeSetUtilities.`synchronizedView​(DocAttributeSet attributeSet)`
Creates a synchronized view of the given doc attribute set.
`static DocAttributeSet`
AttributeSetUtilities.`unmodifiableView​(DocAttributeSet attributeSet)`
Creates an unmodifiable view of the given doc attribute set.
Methods in javax.print.attribute with parameters of type DocAttributeSet
Modifier and Type
Method
Description
`static DocAttributeSet`
AttributeSetUtilities.`synchronizedView​(DocAttributeSet attributeSet)`
Creates a synchronized view of the given doc attribute set.
`static DocAttributeSet`
AttributeSetUtilities.`unmodifiableView​(DocAttributeSet attributeSet)`
Creates an unmodifiable view of the given doc attribute set.
Constructors in javax.print.attribute with parameters of type DocAttributeSet
Modifier
Constructor
Description
``
`HashDocAttributeSet​(DocAttributeSet attributes)`
Construct a new attribute set, initially populated with the values from the given set where the members of the attribute set are restricted to the `DocAttribute` interface.